Subject: [bug#54744] [PATCH] Update gstreamer and its families to 1.20.1.

From: Liliana Marie Prikler <[email-masked]>
Date: Wed, 06 Apr 2022 07:56:48 +0200

Am Mittwoch, dem 06.04.2022 um 11:38 +0800 schrieb Zhu Zihao:
> 
> Here's a series of patches that updates gstreamer to 1.20.1.
> 
> `guix refresh gstreamer -l` shows that triggers 900+ rebuilds, I'm not
> sure every packages depends on gstreamer is tested and worked well. 
> Currently only webkitgtk is tested.
Indeed, gstreamer updates go to staging.

> * gnu/packages/gstreamer.scm (%gstreamer-version): New variable.
I don't think that's necessary or even beneficial.  Drop it.
Ditto for all the packages referencing it.

> * gnu/packages/gstreamer.scm (gst-plugins-good): Update to 1.20.1.
> [...]
> [propagated-inputs]: Remove unnecessary propagation.
Do gst-plugins-good really no longer depend on the base plugins?

> * gnu/packages/gstreamer.scm (gst-plugins-ugly): Update to 1.20.1.
> [...]
> [propagated-inputs]: Remove unnecessary propagation.
Idem.

> * gnu/packages/gstreamer.scm (gst-libav): Update to 1.20.1.
> [...]
> [propagated-inputs]: Remove unnecessary propagation.
Ibidem.

> (gst-plugins/selection): Remove because it's not useful in packaging
> and requires extra maintenance.
> * gnu/packages/video.scm (pitivi)[inputs]: Use gst-plugins-bad.
Packages that only require some bad plugins and can exactly state which
should not be forced to pull in all of them.  The bad plugins are
explicitly named bad, because they're bad.  Enabling any of them beyond
necessity should be an active choice of the user.

> * gnu/packages/webkit.scm (webkitgtk):
> [inputs]: Add gst-plugins-bad. It provides gstreamer-parsecodec.
My, what a perfect use case for gst-plugins/selection that would be. 
Note, that gratuitous media codecs are an additional attack surface.

Cheers